# Parkers Pterodactyl eggs repo

I am working on adding a large collection of public eggs for the Pterodactyl community.

With that I am also accepting PR's for new services and also updates to the current ones.

If you are submitting PR's try and keep names and titles the same.

## How to import an egg

If you are reading this it looks like you are looking to add an egg to your server.

1. Download any of the json files located in the folders below.
   1. It's easiest to right click the `raw` button and save as.
2. In your panel go to the `Nests` section in the admin part of the panel
3. Click the green `Import Egg` button
4. Browse to the json file you saved earlier
5. Select what nest you want to put the egg in.
   1. If you want a new nest you need to create it before importing the egg.
6. Restart the daemon on your node before creating a server using the new egg(s).

# You must restart your daemon after importing an egg


## Please read the CONTRIBUTING.md before submitting PRs

## [Bots](/bots/)

[Discord](/bots/discord/)
* [ATL Bot](/bots/discord/atlbot/) Node JS
* [Bastion](/bots/discord/bastion/)
* [CorpBot](/bots/discord/corpbot/) Python
* [discord.js](bots/discord/discord.js/) Node JS generic
* [discord.py](bots/discord/discord.py/) Python generic
* [fragbot](/bots/discord/fragbot/) Golang
* [jmusicbot](/bots/discord/jmusicbot) Java
* [parkertron](/bots/discord/parkertron/) Golang
* [pixel-bot](/bots/discord/pixelbot/) Python
* [Red](/bots/discord/redbot/) Python
* [Sinusbot](/bots/discord/sinusbot/)

* [Twitch](/bots/twitch)
  * [PhantomBot](/bots/twitch/phantombot/)
  * [sogeBot](/bots/twitch/sogebot/)

* [TeamSpeak3](bots/teamspeak3)
  * [JTS3ServerMod](/bots/teamspeak3/jts3servermod/)

## [Database](/database/)
### [SQL] Databases
* [MariaDB](/database/sql/mariadb/)
* [PostgreSQL](/database/sql/postgres/)

### In-Memory Databases
[Redis](/database/redis/)
* [Redis 5](/database/redis/redis-5)
* [Redis 6](/database/redis/redis-6)

## Game Eggs
[ET Legacy](/enemy_territory/etlegacy/)

[Factorio](/factorio/factorio/)

[Grand Theft Auto](/gta/)
* GTA V
  * [FiveM](/gta/fivem/)
  * [RageMP](/gta/ragemp/)
  * [alt:V](/gta/altv/)
* GTA SA
  * [Multi Theft Auto](/gta/mtasa/)
  * [SA-MP](/gta/samp/)

[Mindustry](/mindustry/)

[Minecraft](/minecraft/)
* [Bedrock](/minecraft/bedrock/)  
  * [Bedrock](/minecraft/bedrock/bedrock/)
  * [DragonProxy](/minecraft/bedrock/dragonproxy/)  
  * [Nukkit](/minecraft/bedrock/nukkit/)  
  * [PocketMine MP](/minecraft/bedrock/pocketmine_mp/)  

* [Java](/minecraft/java/) Servers for Java Minecraft
  * [Cuberite](/minecraft/java/cuberite/)
  * [feather](/minecraft/feather/)  
  * [Feed The Beast](/minecraft/java/ftb/)  
  * [Forge](/minecraft/java/forge/)  
  * [Magma](/minecraft/java/magma/)
  * [Paper](/minecraft/java/paper)
  * [Spigot](/minecraft/java/spigot/)
  * [spongeforge](/minecraft/java/spongeforge/)
  * [SpongeVanilla](/minecraft/java/spongevanilla/)
  * [Technic](/minecraft/java/technic/)
  * [Tuinity](/minecraft/java/tuinity/)
  * [VanillaCord](/minecraft/java/vanillacord/)

* [Proxies](/minecraft/proxy/) (these are for the java version of minecraft)
  * [Waterfall](/minecraft/proxy/waterfall/)
  * [TyphoonLimbo](/minecraft/proxy/typhoonlimbo/)
  * [Travertine](/minecraft/proxy/travertine/) Java
  * [Velocity](/minecraft/proxy/velocity/)

[Red Dead Redemption](/rdr/)
* [RedM](/rdr/redm/)

[steamcmd servers](/steamcmd_servers/) These eggs use steamcmd to install
* [7 Days to Die](/steamcmd_servers/7_days_to_die/)
* [ARK Survival Evolved](/steamcmd_servers/ark_survival_evolved/)
* [Arma](/steamcmd_servers/arma/)
  * [Arma 3](/steamcmd_servers/arma/arma3/)
  * [Arma 3 HC](/steamcmd_servers/arma/arma3_headless_client/)
* [Citadel: Forged with Fire](/steamcmd_servers/citadel)
* [Conan Exiles](/steamcmd_servers/conan_exiles)
* [Don't Starve](/steamcmd_servers/dont_starve)
* [ECO](/steamcmd_servers/eco/)
* [HLDS server](/steamcmd_servers/hlds_server)
* [Hurtworld](/steamcmd_servers/hurtworld)
* [Insurgency: Sandstorm](/steamcmd_servers/insurgency_sandstorm)
* [Killing Floor 2](/steamcmd_servers/killingfloor2)
* [Mordhau](/steamcmd_servers/mordhau)
* [Onset](/steamcmd_servers/onset)
* [PixARK](/steamcmd_servers/pixark/)
* [Project Zomboid](/steamcmd_servers/project_zomboid/)
* [Rust Staging Branch](/steamcmd_servers/rust_staging/)
* [SCP: Secret Laboratory](/steamcmd_servers/scpsl/)
  * [dedicated](/steamcmd_servers/scpsl/dedicated/)
  * [multiadmin](/steamcmd_servers/scpsl/multiadmin/)
* [SSoldat](/steamcmd_servers/soldat/)
* [Starbound](/steamcmd_servers/starbound)
* [Stationeers](/steamcmd_servers/stationeers/)
* [Sven Co-op](/steamcmd_servers/svencoop)
* [Squad](/steamcmd_servers/squad/)
* [Unturned](/steamcmd_servers/unturned/)
  * [Unturned](/steamcmd_servers/unturned/unturned/)

[Terraria](/terraria/)
* [vanilla](/terraria/vanilla)
* [tmodloader](/terraria/tmodloader)
* [tshock](/terraria/tshock/)

[Tycoon Games](/tycoon_games/)
* [OpenTTD](/tycoon_games/openttd/)

[Unreal Engine](/unreal_engine)
* [Tower Unite](/unreal_engine/tower_unite/)
* [Tower Unite](/steamcmd_servers/tower_unite/)

[Vintage Story](/vintage_story/vintage_story/)

[Xonotic](/xonotic/xonotic/)
